package com.uas.ps.vote.controller;

import com.uas.ps.core.page.PageParams;
import com.uas.ps.vote.model.Vote;
import com.uas.ps.vote.service.VoteService;
import com.uas.ps.vote.support.ResultMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author: huj
 * @Date: Created in 14:14 2018/10/26.
 */
@RestController
@RequestMapping("/vote")
public class VoteController {

    @Autowired
    VoteService voteService;

    /**
     * 获取单个企业
     * @param enUU
     * @return
     */
    @RequestMapping("/one")
    public ResultMap getEnterprise(Long enUU) {
        return voteService.getEnterprise(enUU);
    }

    /**
     * 获取企业列表
     * @param params
     * @param type
     * @param keyword
     * @return
     */
    @RequestMapping("/all")
    public ResultMap getEnterprises(PageParams params, Vote.Type type, String keyword) {
        return voteService.getEnterprises(params, type, keyword);
    }

    /**
     * 企业报名
     * @param enUU
     * @param type
     * @param userUU
     * @param enDes
     * @param enName
     * @return
     */
    @RequestMapping(value = "/apply", method = RequestMethod.POST)
    public ResultMap apply(Long enUU, Vote.Type type, Long userUU, String enDes, String enName, String userName) {
        return voteService.apply(enUU, type, userUU, enDes, enName, userName);
    }

    /**
     * 用户投票
     * @param userUU
     * @param type
     * @param enUU
     * @return
     */
    @RequestMapping(value = "/vote", method = RequestMethod.POST)
    public ResultMap vote(Long userUU, Vote.Type type, Long enUU, String userName) {
        return voteService.vote(userUU, type, enUU,userName);
    }
}
