package com.uas.ps.vote.model;

import com.alibaba.fastjson.annotation.JSONField;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * @Author: huj
 * @Date: Created in 11:13 2018/10/26.
 */
@Entity
@Table(name = "enterprise")
public class Enterprise implements Serializable {

    /**
     * 序列号
     */
    private static final long serialVersionUID = 1L;

    @Id
    @Column(name = "id")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    /**
     * 企业uu
     */
    @Column(name = "en_uu")
    private Long enUU;

    /**
     * 企业name
     */
    @Column(name = "en_name")
    private String enName;

    /**
     * 报名用户uu
     */
    @Column(name = "user_uu")
    private Long userUU;

    /**
     * 企业简介or主营产品
     */
    @Column(name = "en_des", length = 2000)
    private String enDes;

    /**
     * 投票次数
     */
    @Column(name = "votes")
    private Long votes;

    /**
     * 企业logo
     */
    @Column(name = "pic")
    private String pic;

    /**
     * 参选类型
     */
    @Column(name = "type")
    @Enumerated(value = EnumType.STRING)
    private Vote.Type type;

    /**
     * 申请时间
     */
    @Column(name = "apply_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private String applyTime;

    /**
     * 报名人uu
     */
    @Column(name = "user_name")
    private String userName;

    /**
     * 更新时间
     */
    @Column(name = "update_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private String updateTime;

    /**
     * 创建时间
     */
    @Column(name = "creat_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private String creatTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getEnUU() {
        return enUU;
    }

    public void setEnUU(Long enUU) {
        this.enUU = enUU;
    }

    public String getEnName() {
        return enName;
    }

    public void setEnName(String enName) {
        this.enName = enName;
    }

    public String getEnDes() {
        return enDes;
    }

    public void setEnDes(String enDes) {
        this.enDes = enDes;
    }

    public Long getVotes() {
        return votes;
    }

    public void setVotes(Long votes) {
        this.votes = votes;
    }

    public String getPic() {
        return pic;
    }

    public void setPic(String pic) {
        this.pic = pic;
    }

    public String getApplyTime() {
        return applyTime;
    }

    public void setApplyTime(String applyTime) {
        this.applyTime = applyTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public Vote.Type getType() {
        return type;
    }

    public void setType(Vote.Type type) {
        this.type = type;
    }

    public Long getUserUU() {
        return userUU;
    }

    public void setUserUU(Long userUU) {
        this.userUU = userUU;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getCreatTime() {
        return creatTime;
    }

    public void setCreatTime(String creatTime) {
        this.creatTime = creatTime;
    }

    public Enterprise(Long enUU, Vote.Type type, Long userUU, String enDes, String enName, String userName) {
        this.enUU = enUU;
        this.enName = enName;
        this.enDes = enDes;
        this.type = type;
        this.userName = userName;
        this.userUU = userUU;
        Date date = new Date();
        this.applyTime = date.toString();
    }

    public Enterprise() {}
}
