package com.uas.ps.vote.model;

import com.alibaba.fastjson.annotation.JSONField;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * @Author: huj
 * @Date: Created in 14:08 2018/10/26.
 */
@Entity
@Table(name = "user")
public class User implements Serializable{

    /**
     * 序列号
     */
    private static final long serialVersionUID = 1L;

    @Id
    @Column(name = "id")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    /**
     * userUU
     */
    @Column(name = "user_uu")
    private Long userUU;

    /**
     * 投票企业uu
     */
    @Column(name = "en_uu")
    private Long enUU;

    /**
     * 投票企业类型
     */
    @Column(name = "type")
    @Enumerated(value = EnumType.STRING)
    private Vote.Type type;

    /**
     * 投票时间
     */
    @Column(name = "vote_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private String voteTime;

    /**
     * 创建时间
     */
    @Column(name = "createTime")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private String createTime;

    /**
     * 投票人姓名
     */
    @Column(name = "user_name")
    private String userName;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getUserUU() {
        return userUU;
    }

    public void setUserUU(Long userUU) {
        this.userUU = userUU;
    }

    public Long getEnUU() {
        return enUU;
    }

    public void setEnUU(Long enUU) {
        this.enUU = enUU;
    }

    public Vote.Type getType() {
        return type;
    }

    public void setType(Vote.Type type) {
        this.type = type;
    }

    public String getVoteTime() {
        return voteTime;
    }

    public void setVoteTime(String voteTime) {
        this.voteTime = voteTime;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public User(Long userUU, Vote.Type type, Long enUU, String userName) {
        this.userUU = userUU;
        this.type = type;
        this.enUU = enUU;
        Date date = new Date();
        this.voteTime = date.toString();
        this.userName = userName;
    }

    public User() {

    }
}
