package com.uas.ps.vote.model;

import com.alibaba.fastjson.annotation.JSONField;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @Author: huj
 * @Date: Created in 14:24 2018/10/26.
 */
@Entity
@Table(name = "vote")
public class Vote implements Serializable {

    /**
     * 序列号
     */
    private static final long serialVersionUID = 1L;

    @Id
    @Column(name = "id")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    /**
     * 创建时间
     */
    @Column(name = "createTime")
    private String creatTime;

    /**
     * 报名起始时间
     */
    @Column(name = "apply_start_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private String applyStartTime;

    /**
     * 报名截止时间
     */
    @Column(name = "apply_end_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private String applyEndTime;

    /**
     * 投票开始时间
     */
    @Column(name = "vote_start_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private String voteStartTime;

    /**
     * 投票截止时间
     */
    @Column(name = "vote_end_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private String voteEndTime;

    /**
     * 类型
     */
    @Column(name = "type")
    private String type;

    @Column(name = "name")
    private String name;


    /**
     * 类型：采购商：PURCHASERS 电商：ONLINE_RETAILERS  供应商：SUPPLIER
     */
    public enum Type {
        PURCHASERS,ONLINE_RETAILERS,SUPPLIER
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCreatTime() {
        return creatTime;
    }

    public void setCreatTime(String creatTime) {
        this.creatTime = creatTime;
    }

    public String getVoteStartTime() {
        return voteStartTime;
    }

    public void setVoteStartTime(String voteStartTime) {
        this.voteStartTime = voteStartTime;
    }

    public String getVoteEndTime() {
        return voteEndTime;
    }

    public void setVoteEndTime(String voteEndTime) {
        this.voteEndTime = voteEndTime;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getApplyStartTime() {
        return applyStartTime;
    }

    public void setApplyStartTime(String applyStartTime) {
        this.applyStartTime = applyStartTime;
    }

    public String getApplyEndTime() {
        return applyEndTime;
    }

    public void setApplyEndTime(String applyEndTime) {
        this.applyEndTime = applyEndTime;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
