package com.uas.ps.vote.support;

/**
 * 响应码
 *
 * history:
 * Created by huxz on 2017-3-29 16:30:50
 */
public enum CodeType {

	/**
	 * 操作成功
	 */
	OK(200, "SUCCESS"),

	/* 参数错误 100~199 */
	/**
	 * 参数信息缺失
	 */
	NO_INFO(100, "NO_INFO"),
	/**
	 * 参数异常，不在取值范围之内等原因
	 */
	PARAMETER_ERROR(101, "PARAMETER_ERROR"),

	/* 权限问题 300~399 */
	/**
	 * 操作不允许
	 */
	NOT_PERMIT(300, "NOT_PERMIT"),

	/* 操作实体错误 400~499 */
	/**
	 * 操作实体信息不全
	 */
	NOT_COMPLETE_INFO(401, "NOT_COMPLETE_INFO"),
	/**
	 * 操作实体已存在
	 */
	SAVED(402, "SAVED"),
	/**
	 * 操作实体不存在
	 */
	NOT_EXiST(403, "NOT_EXiST"),
	/**
	 * 非法状态
	 */
	ERROR_STATE(404, "ERROR_STATE"),

	/* 系统错误,网络错误 500~599 */
	/**
	 * 系统异常
	 */
	SYSTEM_ERROR(500, "SYSTEM_ERROR"),
	/**
	 * 系统的基础参数不存在
	 */
	SYSTEM_NOT_EXIST(501, "SYSTEM_NOT_EXIST"),
	/**
	 * 超时请求
	 */
	TIME_OUT(502, "TIME_OUT");

	private int code;

	private String message;

	CodeType(int code, String message) {
		this.code = code;
		this.message = message;
	}

	/**
	 * code
	 * @return code
	 */
	public int code() {
		return this.code;
	}

	/**
	 * message
	 * @return message
	 */
	public String message() {
		return this.message;
	}

	@Override
	public String toString() {
		return Integer.toString(code);
	}
}
