package com.uas.ps.vote.support;

import com.alibaba.fastjson.JSON;
import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * 请求结果集
 *
 * history:
 * Created by huxz on 2017-3-29 16:30:32
 */
@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class ResultMap {

	private int code;

	private boolean success;

	private String message;

	private Object data;

	public ResultMap() {
	}

	public ResultMap(int status, String message) {
		if (CodeType.OK.code() == status) {
			this.success = true;
		} else {
			this.success = false;
		}
		this.code = status;
		this.message = message;
	}

	public ResultMap(int status, Object data) {
		if (CodeType.OK.code() == status) {
			this.success = true;
		} else {
			this.success = false;
		}
		this.code = status;
		this.data = data;
	}

	public ResultMap(CodeType status, String message) {
		if (CodeType.OK.code() == status.code()) {
			this.success = true;
		} else {
			this.success = false;
		}
		this.message = message;
		this.code = status.code();
	}

	public ResultMap(int status, String message, Object data) {
		if (CodeType.OK.code() == status) {
			this.success = true;
		} else {
			this.success = false;
		}
		this.code = status;
		this.message = message;
		this.data = data;
	}

	public int getCode() {
		return code;
	}

	public void setCode(int code) {
		this.code = code;
	}

	public boolean isSuccess() {
		return success;
	}

	public void setSuccess(boolean success) {
		this.success = success;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public Object getData() {
		return data;
	}

	public void setData(Object data) {
		this.data = data;
	}

	@Override
	public String toString() {
		return JSON.toJSONString(this);
	}

	/**
	 * 返回成功
	 * @param data
	 * @return
	 */
	public static ResultMap success(Object data) {
		ResultMap result = new ResultMap(true, data);
		return result;
	}

	/**
	 * 返回失败信息
	 * @param message message信息
	 * @return
	 */
	public static ResultMap fail(String message) {
		ResultMap result = new ResultMap(false, message);
		return result;
	}

	public ResultMap(Boolean success, String message) {
		this.success = success;
		this.message = message;
	}

	public ResultMap(Boolean success, Object data) {
		this.success = success;
		this.data = data;
	}
}
