create table enterprise(
  id int not null auto_increment comment 'id',
  en_uu int not null comment '企业uu',
	en_des varchar(2000) comment '主营产品',
	en_name varchar(255) not null default '' comment '企业名称',
	type varchar(50) not NULL default '' comment '类型',
	votes int not null default 0 comment '票数',
	pic varchar(2000) comment '企业logo',
	user_uu int not null comment '用户uu',
	user_name varchar(255) not null default '' comment '用户名',
	apply_time timestamp not null default current_timestamp comment '申请时间',
	update_time timestamp not null default current_timestamp on update current_timestamp comment '更新时间',
	creat_time timestamp not null default current_timestamp comment '创建时间',
	primary key(id) comment '主键,没有重复',
	unique index(en_uu) comment '企业uu,唯一索引',
  index(en_name) comment '企业名称索引',
	index(type) comment '企业类型索引'
)ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT '企业报名记录';

create table user(
  id int not null auto_increment comment 'id',
	user_uu int not null comment '投票用户uu',
	user_name varchar(255) not null default '' comment '投票用户名',
	en_uu int not null comment '投票企业uu',
	type varchar(50) not NULL default '' comment '类型',
	vote_time timestamp not null default current_timestamp comment '投票时间',
	creat_time timestamp not null default current_timestamp comment '创建时间',
	primary key(id) comment '主键,没有重复',
	unique index(user_uu,type) comment '用户uu、企业类型,唯一索引'
)ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT '用户投票记录';

create table vote(
	id int not null auto_increment comment 'id',
	creat_time timestamp not null default current_timestamp comment '创建时间',
	apply_start_time timestamp not null default current_timestamp comment '报名起始时间',
	apply_end_time timestamp not null default current_timestamp comment '报名结束时间',
	vote_start_ime timestamp not null default current_timestamp comment '投票开始时间',
	vote_end_time timestamp not null default current_timestamp comment '投票结束时间',
	type varchar(50) not NULL default '' comment '类型',
	primary key(id) comment '主键,没有重复',
  index(apply_start_time) comment '报名起始时间索引',
  index(apply_end_time) comment '报名结束时间索引',
  index(vote_start_ime) comment '投票开始时间索引',
  index(vote_end_time) comment '投票结束时间索引'
)ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT '用户投票记录';
